<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.tooling Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/testkit/runner/package-tree.html">Prev</a></li>
<li><a href="../../../org/gradle/tooling/events/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/tooling/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.tooling</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/GradleConnector.html" title="class in org.gradle.tooling"><span class="strong">GradleConnector</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="strong">Exception</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="strong">RuntimeException</span></a>
<ul>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/GradleConnectionException.html" title="class in org.gradle.tooling"><span class="strong">GradleConnectionException</span></a>
<ul>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/BuildActionFailureException.html" title="class in org.gradle.tooling"><span class="strong">BuildActionFailureException</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/BuildCancelledException.html" title="class in org.gradle.tooling"><span class="strong">BuildCancelledException</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/BuildException.html" title="class in org.gradle.tooling"><span class="strong">BuildException</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/ListenerFailedException.html" title="class in org.gradle.tooling"><span class="strong">ListenerFailedException</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/TestExecutionException.html" title="class in org.gradle.tooling"><span class="strong">TestExecutionException</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/UnsupportedVersionException.html" title="class in org.gradle.tooling"><span class="strong">UnsupportedVersionException</span></a>
<ul>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/UnknownModelException.html" title="class in org.gradle.tooling"><span class="strong">UnknownModelException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/BuildController.html" title="interface in org.gradle.tooling"><span class="strong">BuildController</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/CancellationToken.html" title="interface in org.gradle.tooling"><span class="strong">CancellationToken</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/CancellationTokenSource.html" title="interface in org.gradle.tooling"><span class="strong">CancellationTokenSource</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/Failure.html" title="interface in org.gradle.tooling"><span class="strong">Failure</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/LongRunningOperation.html" title="interface in org.gradle.tooling"><span class="strong">LongRunningOperation</span></a>
<ul>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/ConfigurableLauncher.html" title="interface in org.gradle.tooling"><span class="strong">ConfigurableLauncher</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="interface in org.gradle.tooling"><span class="strong">BuildActionExecuter</span></a>&lt;T&gt;</li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/BuildLauncher.html" title="interface in org.gradle.tooling"><span class="strong">BuildLauncher</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/ModelBuilder.html" title="interface in org.gradle.tooling"><span class="strong">ModelBuilder</span></a>&lt;T&gt;</li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/TestLauncher.html" title="interface in org.gradle.tooling"><span class="strong">TestLauncher</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/ProgressEvent.html" title="interface in org.gradle.tooling"><span class="strong">ProgressEvent</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/ProgressListener.html" title="interface in org.gradle.tooling"><span class="strong">ProgressListener</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/ProjectConnection.html" title="interface in org.gradle.tooling"><span class="strong">ProjectConnection</span></a></li>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/ResultHandler.html" title="interface in org.gradle.tooling"><span class="strong">ResultHandler</span></a>&lt;T&gt;</li>
<li type="circle">java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io"><span class="strong">Serializable</span></a>
<ul>
<li type="circle">org.gradle.tooling.<a href="../../../org/gradle/tooling/BuildAction.html" title="interface in org.gradle.tooling"><span class="strong">BuildAction</span></a>&lt;T&gt;</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/testkit/runner/package-tree.html">Prev</a></li>
<li><a href="../../../org/gradle/tooling/events/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/tooling/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
